package com.happy.dao;

import com.happy.Model.Hotel;

import java.util.List;

public interface HotelDao {

    /**
     * 描述：新增
     * @param hotel
     * @return
     */
    int insertHotel(Hotel hotel);

    /**
     * 描述：修改
     * @param hotel
     * @return
     */
    int updateHotel(Hotel hotel);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delHotel(int id);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    Hotel getById(int id);

    /**
     * 描述：根据managerId查询详细
     * @param id
     * @return
     */
    Hotel getByManagerId(int id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    List<Hotel> queryPage(String sqlx, int page, int rows);


    int queryTotalPrice(String sqlx);


    /**
     * 描述：获取总条数
     * @param sqlx
     * @return
     */
    int queryTotal(String sqlx);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<Hotel> queryList(String sqlx);

    /**
     * 查询列表，加最底房价
     * @param sqlx
     * @param page
     * @param rows
     * @return
     * 00
     */
    public List<Hotel> queryPagePrice(String sqlx, int page, int rows);

    /**
     * 优选查询列表，加最底房价
     * @param sqlx
     * @param page
     * @param rows
     * @return
     * 00
     */
    public List<Hotel> queryPreferredPagePrice(String sqlx, int page, int rows);

    /**
     * 精选查询列表，加最底房价
     * @param sqlx
     * @param page
     * @param rows
     * @return
     * 00
     */
    public List<Hotel> querySelectedPagePrice(String sqlx, int page, int rows);


}
